# Awesome Python Applications - By Platform

The same Awesome Python Applications you know and love, but arranged
by *platform*. This list is for the app-happy reader looking to install
everything their operating system supports.

But what can the rest of us learn from organizing Python by platform?

In practice, Python's history of building on the features of C has led
to a wide range of deployment targets, from desktop operating systems,
console interfaces, and even mobile platforms. Python's user and
developer ecosystem is far from uniform, but by using the same
language, we can more readily share packaging techniques and other
platform-specific knowledge.

**Status note**: This dimension of the data is still under
development. While the *Desktop* data is relatively complete, we're
still on the lookout for more mobile and browser applications. Server
platform targeting is still mostly general at the moment, needs more
segmentation by distribution (i.e., Docker, etc.)

<!-- NOTE: This file is automatically generated, see projects.yaml -->

**Contents**

{PLATFORM_TOC}

<!-- ANOTHER NOTE: This file is automatically generated, see projects.yaml -->

{PLATFORM_TEXT}

<!-- YET ANOTHER NOTE: This file is automatically generated, see projects.yaml -->

## Conclusion

If you have a project to add, [please let us know](https://github.com/mahmoud/awesome-python-applications/issues)!
